#ifndef LIP_OPCUA_UADP_CFG_DEFS_H
#define LIP_OPCUA_UADP_CFG_DEFS_H

#include "lip_config.h"

#ifdef LIP_CFG_OPCUA_UADP_SUB_ENABLE
#define LIP_OPCUA_UADP_SUB_ENABLE       LIP_CFG_OPCUA_UADP_SUB_ENABLE
#else
#define LIP_OPCUA_UADP_SUB_ENABLE       0
#endif


#ifdef LIP_CFG_OPCUA_SUB_UADP_PUBID_MAX_CNT
#define LIP_OPCUA_UADP_SUB_PUBID_MAX_CNT LIP_CFG_OPCUA_SUB_UADP_PUBID_MAX_CNT
#else
#define LIP_OPCUA_UADP_SUB_PUBID_MAX_CNT 10
#endif


#ifdef LIP_CFG_OPCUA_UADP_SUB_DS_MAX_CNT
#define LIP_OPCUA_UADP_SUB_DS_MAX_CNT   LIP_CFG_OPCUA_UADP_SUB_DS_MAX_CNT
#else
#define LIP_OPCUA_UADP_SUB_DS_MAX_CNT   16
#endif


#ifdef LIP_CFG_OPCUA_UADP_PUB_ENABLE
#define LIP_OPCUA_UADP_PUB_ENABLE       LIP_CFG_OPCUA_UADP_PUB_ENABLE
#else
#define LIP_OPCUA_UADP_PUB_ENABLE       0
#endif


#ifdef LIP_CFG_OPCUA_UADP_GROUP_VERSION
#define LIP_OPCUA_UADP_GROUP_VERSION    LIP_CFG_OPCUA_UADP_GROUP_VERSION
#else
#define LIP_OPCUA_UADP_GROUP_VERSION    1
#endif

#ifdef LIP_CFG_OPCUA_UADP_GROUP_NETMSGNUM
#define LIP_OPCUA_UADP_GROUP_NETMSGNUM  LIP_CFG_OPCUA_UADP_GROUP_NETMSGNUM
#else
#define LIP_OPCUA_UADP_GROUP_NETMSGNUM  1
#endif

#ifdef LIP_CFG_OPCUA_UADP_GROUP_SEQNUM
#define LIP_OPCUA_UADP_GROUP_SEQNUM     LIP_CFG_OPCUA_UADP_GROUP_SEQNUM
#else
#define LIP_OPCUA_UADP_GROUP_SEQNUM     1
#endif

#ifdef LIP_CFG_OPCUA_UADP_GROUP_TSTMP
#define LIP_OPCUA_UADP_GROUP_TSTMP      LIP_CFG_OPCUA_UADP_GROUP_TSTMP
#else
#define LIP_OPCUA_UADP_GROUP_TSTMP      1
#endif


#ifdef LIP_CFG_OPCUA_UADP_DS_SEQNUM
#define LIP_OPCUA_UADP_DS_SEQNUM        LIP_CFG_OPCUA_UADP_DS_SEQNUM
#else
#define LIP_OPCUA_UADP_DS_SEQNUM        1
#endif

#ifdef LIP_CFG_OPCUA_UADP_DS_TSTMP
#define LIP_OPCUA_UADP_DS_TSTMP         LIP_CFG_OPCUA_UADP_DS_TSTMP
#else
#define LIP_OPCUA_UADP_DS_TSTMP         1
#endif

#ifdef LIP_CFG_OPCUA_UADP_DS_STATUS
#define LIP_OPCUA_UADP_DS_STATUS        LIP_CFG_OPCUA_UADP_DS_STATUS
#else
#define LIP_OPCUA_UADP_DS_STATUS        1
#endif

#ifdef LIP_CFG_OPCUA_UADP_DS_VERSION
#define LIP_OPCUA_UADP_DS_VERSION       LIP_CFG_OPCUA_UADP_DS_VERSION
#else
#define LIP_OPCUA_UADP_DS_VERSION       1
#endif


#endif // LIP_OPCUA_UADP_CFG_DEFS_H
